UI

Salabim supports an alternative graphical UI, which uses PySimpleGUI. Although it is possible to extend the standard UI, it is not necessary to have any knowledge of PySimpleGUI to enable and use the UI.

Requirements

In order to use the UI, PySimpleGUI should be installed, preferably with

pip install pysimplegui==4.60.5

Like salabim. PySimpleGUI is a one file module, which means that is possible to just copy pysimplegui.py into the current directory.

Note that from February 2024, PySimpleGUI has a paid license model. If you want to use that one (which is not recommended), install with

pip install pysimplegui

Enabling the UI